org.apache.tinkerpop.gremlin.process.remote.traversal

## Class EmbeddedRemoteTraversalSideEffects

- java.lang.Object
- - org.apache.tinkerpop.gremlin.process.remote.traversal.AbstractRemoteTraversalSideEffects
  - - org.apache.tinkerpop.gremlin.process.remote.traversal.EmbeddedRemoteTraversalSideEffects

- All Implemented Interfaces:
    Serializable, AutoCloseable, Cloneable, RemoteTraversalSideEffects, TraversalSideEffects

  Deprecated.
  As of release 3.3.8, not directly replaced, prefer use of `GraphTraversal.cap(String, String...)` to return the result as part of the traversal iteration.

      @Deprecated
      public class EmbeddedRemoteTraversalSideEffects
      extends AbstractRemoteTraversalSideEffects

  Generated by the `EmbeddedRemoteTraversal` to help simulate a remote traversal side-effects within the same JVM.
  Author:
    Stephen Mallette (http://stephen.genoprime.com)
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.tinkerpop.gremlin.process.traversal.TraversalSideEffects

      `TraversalSideEffects.Exceptions`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EmbeddedRemoteTraversalSideEffects(TraversalSideEffects sideEffects)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `<V> V` | `get(String key)` Deprecated. Get the sideEffect associated with the provided key.
    `Set<String>` | `keys()` Deprecated. The keys of the sideEffect which includes registered `Supplier` keys.

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.remote.traversal.AbstractRemoteTraversalSideEffects

      `add, clone, getReducer, getSackInitialValue, getSackMerger, getSackSplitter, getSupplier, mergeInto, register, registerIfAbsent, remove, set, setSack`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.process.remote.traversal.RemoteTraversalSideEffects

      `close`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.process.traversal.TraversalSideEffects

      `exists, forEach, isEmpty`

- - ### Constructor Detail

    - #### EmbeddedRemoteTraversalSideEffects

          public EmbeddedRemoteTraversalSideEffects(TraversalSideEffects sideEffects)

      Deprecated.

  - ### Method Detail

    - #### get

          public <V> V get(String key)
                    throws IllegalArgumentException

      Deprecated.
      Description copied from interface: `TraversalSideEffects`
      Get the sideEffect associated with the provided key. If the sideEffect contains an object for the key, return it. Else if the sideEffect has a registered `Supplier` for that key, generate the object, store the object in the sideEffects, and return it.
      Type Parameters:
        `V` - the type of the value to retrieve
      Parameters:
        `key` - the key to get the value for
      Returns:
        the value associated with key
      Throws:
        `IllegalArgumentException` - if the key does not reference an object or a registered supplier.

    - #### keys

          public Set<String> keys()

      Deprecated.
      Description copied from interface: `TraversalSideEffects`
      The keys of the sideEffect which includes registered `Supplier` keys. In essence, that which is possible to `TraversalSideEffects.get(String)`.
      Returns:
        the keys of the sideEffect

Copyright © 2013–2020 Apache Software Foundation. All rights reserved.